Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.merge
Class JSR68Merger

    java.lang.Object
      com.sun.tdk.signaturetest.sigfile.FeaturesHolder
          com.sun.tdk.signaturetest.merge.JSR68Merger

    public class JSR68Merger

extends FeaturesHolder

Merges some APIs according JSR68 rules

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.tdk.signaturetest.sigfile.FeaturesHolder
`FeaturesHolder.Feature`

Field Summary
`static int` | `BINARY_MODE`
`static int` | `SOURCE_MODE`

Fields inherited from class com.sun.tdk.signaturetest.sigfile.FeaturesHolder
`BuildMembers, ConstInfo, CopyRight, ListOfHiders, MergeModeSupported, NonStaticConstants, OuterClasses, TigerInfo, XHiders`

Constructor Summary
`JSR68Merger(Log log, Result result, FeaturesHolder fh)`

Method Summary
`VirtualClassDescriptionLoader` | `merge(MergedSigFile[] files, int mode)`

Methods inherited from class com.sun.tdk.signaturetest.sigfile.FeaturesHolder
`addSupportedFeature, getSupportedFeatures, isFeatureSupported, isInitialized, removeSupportedFeature, retainFeatures, setFeatures`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOURCE_MODE

    public static final int SOURCE_MODE

See Also:
  Constant Field Values

### BINARY_MODE

    public static final int BINARY_MODE

See Also:
  Constant Field Values

Constructor Detail

### JSR68Merger

    public JSR68Merger(Log log,
                       Result result,
                       FeaturesHolder fh)

Method Detail

### merge

    public VirtualClassDescriptionLoader merge(MergedSigFile[] files,
                                               int mode)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD